org.flexdock.view.actions

## Class ViewAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.flexdock.view.actions.ViewAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Direct Known Subclasses:
  DefaultCloseAction, DefaultDisplayAction, DefaultPinAction

    public abstract class ViewAction
    extends javax.swing.AbstractAction

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

Fields
`static ViewAction` `EMPTY_ACTION` Deprecated. unused
`protected java.lang.String` `viewId`

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`ViewAction()`

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`abstract void` `actionPerformed(View view, java.awt.event.ActionEvent evt)`
`javax.swing.ButtonModel` `createButtonModel()`
`protected View` `getView(java.awt.event.ActionEvent evt)`
`java.lang.String` `getViewId()`
`void` `setViewId(java.lang.String viewId)`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_ACTION

    public static final ViewAction EMPTY_ACTION

Deprecated. unused

#### viewId

    protected java.lang.String viewId

### Constructor Detail

#### ViewAction

    public ViewAction()

### Method Detail

#### getView

    protected View getView(java.awt.event.ActionEvent evt)

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

#### actionPerformed

    public abstract void actionPerformed(View view,
                       java.awt.event.ActionEvent evt)

#### createButtonModel

    public javax.swing.ButtonModel createButtonModel()

#### getViewId

    public java.lang.String getViewId()

#### setViewId

    public void setViewId(java.lang.String viewId)